Aktualisierung von Moodle: Unterschied zwischen den Versionen

Wechseln zu: Navigation, Suche
(Siehe auch)
 
(38 dazwischenliegende Versionen desselben Benutzers werden nicht angezeigt)
Zeile 4: Zeile 4:
  
 
==Voraussetzungen prüfen==
 
==Voraussetzungen prüfen==
Prüfen Sie die Systemanforderungen für die Moodle-Version 2.8 unter Block ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Server > [[Serverinformationen]]''.
+
Prüfen Sie die Systemanforderungen für die aktuellste Moodle-Version 3.6 unter Block ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Server > [[Serverinformationen]]''. In den  [https://docs.moodle.org/dev/Moodle_3.6_release_notes Release Notes] in der Entwicklerdokumentation (englisch) steht, welche Voraussetzungen der [https://docs.moodle.org/dev/Moodle_3.6_release_notes#Server_requirements Server] und der [https://docs.moodle.org/dev/Moodle_3.6_release_notes#Client_requirements Client] erfüllen muss.
  
'''Hinweis''': Beachten Sie, dass Sie nur von Moodle 2.2. oder neueren Versionen auf Moodle 2.8 aktualisieren können. Wenn Ihr Moodle älter ist als 2.2, dann müssen Sie erst auf [https://docs.moodle.org/22/de/Auf_Moodle_2.2_aktualisieren Moodle 2.2. aktualisieren].
+
'''Hinweise''':  
 +
*Beachten Sie, dass Sie nur von Moodle 3.1 oder neueren Versionen auf die aktuelleste Moodle-Version 3.6 aktualisieren können. Wenn Ihr Moodle älter ist, dann müssen Sie erst auf [https://docs.moodle.org/31/de/Auf_Moodle_3.1_aktualisieren Moodle 3.1 aktualisieren].
  
 
==Bevor Sie Ihr Produktivsystem aktualisieren==
 
==Bevor Sie Ihr Produktivsystem aktualisieren==
 
'''Wir empfehlen Ihnen dringend, die Aktualisierung auf einer Kopie Ihres Produktivsystems zu testen, um sicherzustellen, dass alles wie gewünscht funktioniert.'''
 
'''Wir empfehlen Ihnen dringend, die Aktualisierung auf einer Kopie Ihres Produktivsystems zu testen, um sicherzustellen, dass alles wie gewünscht funktioniert.'''
 +
 +
Nutzen Sie bei Bedarf einen [[Aktualisierungsschlüssel]] für Ihre Moodle-Site.
  
 
==Wichtige Daten sichern==
 
==Wichtige Daten sichern==
Zeile 22: Zeile 25:
  
 
'''Tipp''': Prüfen Sie auch, ob Sie Ihre Sicherungen wiederherstellen können, sonst nützen sie nichts!
 
'''Tipp''': Prüfen Sie auch, ob Sie Ihre Sicherungen wiederherstellen können, sonst nützen sie nichts!
 
==Wartungsmodus aktivieren==
 
Bevor Sie mit der Aktualisierung beginnen, schalten Sie die Moodle-Site in den [[Wartungsmodus]], um zu verhindern, dass sich Nutzer/innen anmelden.
 
  
 
==Prüfen Sie, ob es Aktualisierungen für Ihre Plugins gibt==
 
==Prüfen Sie, ob es Aktualisierungen für Ihre Plugins gibt==
 
Wenn Sie die [[Automatische Aktualisierungen|Automatische Aktualisierung]] aktiviert haben, dann können Sie die installierten Plugins automatisch während der Aktualisierung von Moodle aktualisieren. Prüfen Sie auf der Seite ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Plugins > Übersicht'', ob Aktualisierungen vorhanden sind.
 
Wenn Sie die [[Automatische Aktualisierungen|Automatische Aktualisierung]] aktiviert haben, dann können Sie die installierten Plugins automatisch während der Aktualisierung von Moodle aktualisieren. Prüfen Sie auf der Seite ''[[Einstellungen-Block|Einstellungen]] > Website-Administration > Plugins > Übersicht'', ob Aktualisierungen vorhanden sind.
  
Wenn Sie Plugins manuell aktualisieren, dann ist es ein guter Zeitpunkt zu prüfen, ob es eine Moodle 2.8 Version für die Plugins gibt, die Sie früher auf Ihrer Moodle-Site installiert haben. Wenn das der Fall ist, laden Sie diese neue(n) Plugin-Version(en) herunter, kopieren Sie sie an die richtige Stelle im Moodle-Code-Verzeichnis (siehe [[Plugins installieren]]).  
+
Wenn Sie Plugins manuell aktualisieren, dann ist es ein guter Zeitpunkt zu prüfen, ob es eine aktuelle Version 3.0 für die Plugins gibt, die Sie früher auf Ihrer Moodle-Site installiert haben. Wenn das der Fall ist, laden Sie diese neue(n) Plugin-Version(en) herunter, kopieren Sie sie an die richtige Stelle im Moodle-Code-Verzeichnis (siehe [[Plugins installieren]]).  
  
 
Die Aktualisierung des Plugins erfolgt dann im Verlauf der Aktualisierung von Moodle.
 
Die Aktualisierung des Plugins erfolgt dann im Verlauf der Aktualisierung von Moodle.
  
 
Wenn ein veraltetes Plugin den Abbruch der Aktualisierung verursacht, dann löschen Sie den entsprechenden Code direkt auf dem Moodle-Server, anstatt das Plugin in Moodle zu deinstallieren.
 
Wenn ein veraltetes Plugin den Abbruch der Aktualisierung verursacht, dann löschen Sie den entsprechenden Code direkt auf dem Moodle-Server, anstatt das Plugin in Moodle zu deinstallieren.
 +
 +
==Wartungsmodus aktivieren==
 +
Bevor Sie mit der Aktualisierung beginnen, schalten Sie die Moodle-Site in den [[Wartungsmodus]], um zu verhindern, dass sich Nutzer/innen anmelden.
  
 
== Neue Moodle-Version installieren ==
 
== Neue Moodle-Version installieren ==
Laden Sie sich das Moodle 2.8 Paket von[http://download.moodle.org herunter oder verwenden Sie den Befehl
+
Laden Sie sich das aktuelle Moodle Paket 3.0 von[http://download.moodle.org] herunter oder verwenden Sie den Befehl
  
     wget http://sourceforge.net/projects/moodle/files/Moodle/stable28/moodle-latest-28.tgz
+
     wget http://sourceforge.net/projects/moodle/files/Moodle/stable30/moodle-latest-30.tgz
  
 
=== Standardpaket verwenden ===
 
=== Standardpaket verwenden ===
Zeile 51: Zeile 54:
 
Moodle-Verzeichnis umbenennen und neuen Code entpacken:
 
Moodle-Verzeichnis umbenennen und neuen Code entpacken:
 
     mv moodle moodle.backup
 
     mv moodle moodle.backup
     tar xvzf moodle-2.8.tgz
+
     tar xvzf moodle-3.0.tgz
 
   
 
   
 
Alte Moodle-Konfigurationsdatei kopieren und zusätzliche Plugins kopieren:
 
Alte Moodle-Konfigurationsdatei kopieren und zusätzliche Plugins kopieren:
Zeile 58: Zeile 61:
 
     cp -pr moodle.backup/mod/mymod moodle/mod/mymod
 
     cp -pr moodle.backup/mod/mymod moodle/mod/mymod
  
Die Moodle-Konfigurationsdatei für den Webserver lesbar machen:
+
Die Moodle-Konfigurationsdatei für den Webserver lesbar machen. Idealerweise sollten diese Dateien für den Webserver nicht schreibbar sein:
     chmod 740 admin/cli/cron.php (some configurations need chmod 750 or chmod 755)
+
    chown -R www-data:www-data moodle (Linux debian - ändern Sie bei Bedarf den Webserver-Nutzer entsprechend Ihrer Linux-Distribution)
 +
    chmod -R 755 moodle
 +
 
 +
Wenn Sie Cron verwenden, stellen Sie sicher, dass das Cron-Skript ausführbar ist und der richtige PHP-Befehl verwendet wird:
 +
     chmod 740 admin/cli/cron.php (einige Linux-Distributionen benötigen chmod 750 oder chmod 755)
 +
 
 +
Den richtigen PHP-Befehl finden Sie in der 1. Zeile des Cron-Skripts, etwa:
 +
    /usr/local/bin/php oder /usr/local/bin/php5.3
  
 
=== Git verwenden===
 
=== Git verwenden===
Zeile 67: Zeile 77:
 
===Aktualisierung von Kommandozeile===
 
===Aktualisierung von Kommandozeile===
  
Sie können Moodle auch [[Administration über Kommandozeile|von der Kommandozeile aktualisieren]].
+
Sie können Moodle auch [[Administration über Kommandozeile|von der Kommandozeile aktualisieren]]. Diese Variante funktioniert insbesondere für große Moodle-Installationen zuverlässiger als die Aktualisierung über den Webbrowser.
  
 
==Aktualisierung abschließen==
 
==Aktualisierung abschließen==
Zeile 98: Zeile 108:
 
Evtl. müssen Sie auch alle selbstgeschriebenen Skripte anpassen, die die Ausgabe des Cron-Skripts verarbeiten. Es ist nicht mehr möglich, mit solchen Skripten einfach die Cron-Ausgabe <pre>Cron script completed correctly</pre> auszuwerten. Stattdessen können Sie die Fehlerausgaben <pre>task failed</pre> auswerten. Ein paar Tipps dazu finden Sie [[Cron-Job#Fehlerbehandlung bei geplanten Vorgängen|hier]].
 
Evtl. müssen Sie auch alle selbstgeschriebenen Skripte anpassen, die die Ausgabe des Cron-Skripts verarbeiten. Es ist nicht mehr möglich, mit solchen Skripten einfach die Cron-Ausgabe <pre>Cron script completed correctly</pre> auszuwerten. Stattdessen können Sie die Fehlerausgaben <pre>task failed</pre> auswerten. Ein paar Tipps dazu finden Sie [[Cron-Job#Fehlerbehandlung bei geplanten Vorgängen|hier]].
  
Vor Moodle 2.8 konnte es passieren, dass ein Fehler in einem Vorgang zum Abbruch des gesamten Cron-Jobs führte. Ab Moodle 2.8 passiert das nicht mehr. Prüfen Sie also die Ausgaben des Cron-Skripts nach der Aktualisierung sorgfältig.
+
In früheren Moodle-Versionen konnte es passieren, dass ein Fehler in einem Vorgang zum Abbruch des gesamten Cron-Jobs führte. Jetzt passiert das nicht mehr. Prüfen Sie also die Ausgaben des Cron-Skripts nach der Aktualisierung sorgfältig.
 
 
===Aufgaben===
 
Das alte Aufgaben(2.2)-Plugin wurde in der neuen Moodle 2.8. Version gelöscht. Es ist jedoch weiterhin gewährleistet, dass alte Kurssicherungen, die alte Aufgaben(2.2.)-Aktivitäten enthalten sauber wiederhergestellt werden können.
 
 
 
Wenn Sie immer noch dass alte Aufgaben(2.2)-Plugin verwendet haben, dann sind nach der Aktualisierung alle Aktivitäten diesen Typs verborgen. Um diese Aktivitäten wieder verfügbar zu machen, müssen Sie das [[Aufgaben-Update|das Aktualisierungs-Tool]] laufen lassen.
 
  
Wenn es tatsächlich zwingende Gründe gibt, das alte Aufgaben(2.2)-Plugin weiter zu verwenden, dann müssen Sie den Code auf Moodle 2.8 aktualisieren und dann das Verzeichnis ''moodle/mod/assignment'' durch das entsprechende Verzeichnis von https://github.com/moodlehq/moodle-mod_assignment/releases ersetzen.
+
==Mögliche Probleme in Moodle 3.7==
 +
===Designs, die Bootstrap 2 verwenden, wurden entfernt===
 +
Designs, die Bootstrap 2 verwenden (Clean, More und Bootstrapbase), wurden aus dem Standardpaket von Moodle entfernt. Stattdessen wurde ein neues Design (Classic), das auf Bootstrap 4 basiert und ein dreispaltiges Layout sowie eine Navigationsstruktur ähnlich wie Clean hat, eingeführt. Der Artikel zum Thema [[Designs]] enthhalten Anleitungen, wie man eigene Designs erstellt oder aktualisiert, so dass sie auf den derzeit unterstützten Designs (Boost und Classic) basieren.
  
==Mögliche Probleme in Moodle 2.8==
+
===Teilen von Kursen auf Moodle.net wurde deaktiviert===
 +
Die neue Einstellung zum Teilen von Kursen Moodle.net auf der Seite ''Website-Administration > Zusatzoptionen'' ist standardmäßif deaktiviert, so dass neue Nutzer/innen nicht verwirrt werden durch die Option ''Teilen'' unter ''Kurs-Administration''.
  
===Neue Summierungsart ''Natürlich'' bei Bewertungen===
+
Siehe auch die Liste der [https://tracker.moodle.org/issues/?jql=project%20%3D%20mdl%20AND%20resolution%20%3D%20fixed%20AND%20fixVersion%20in%20(%223.7%22)%20AND%20labels%20%3D%20upgrade_notes Einträge zur Aktualisierung] und der [https://tracker.moodle.org/issues/?jql=project%20%3D%20mdl%20AND%20resolution%20%3D%20fixed%20AND%20fixVersion%20in%20(%223.7%22)%20AND%20labels%20%3D%20ui_change%20 Einträge zu Änderungen].  
Die [[Bewertungen zusammenfassen|Summierungsart]] ''Summe'' wurde umfassend überarbeitet und in ''natürlich'' umbenannt. Wir empfehlen, als Standardeinstellung diese neue Summierungsart ''Natürlich'' zu wählen (wie das bei Neuinstallationen von Moodle 2.8 der Fall ist).
 
Außerdem wurde die Einstellung ''Zusammenfassen, Kategorien einbeziehen'' gelöscht.  
 
  
In allen Kurse, die bisher als Summierungsart (Einstellung ''gesamtergebnis'') die Option ''Summe'' oder die Option ''Zusammenfassen, Kategorien einbeziehen'' verwendet haben, kann es zu geänderten Bewertungen kommen. In diesen Kursen sollten Sie die Bewertungen prüfen.
+
===Neue Fähigkeiten in Moodle {{Version}}===
  
===Trainer/innen können Nutzer/innen aus globalen Gruppen einschreiben===
+
'''Aufgabe'''
Trainer/innen haben Zugriff auf die Einschreibemethode [[Einschreibung über globale Gruppen]], wenn diese systemweit aktiviert ist. Wenn Sie das Verhalten der Moodle 2.7 Version in Bezug auf diese Einschreibemethode behalten wollen, dann müssen Sie der Trainer-Rolle das Recht [[Capabilities/enrol/cohort:config|enrol/cohort:config]] entziehen. Siehe MDL-36014.
+
* [[Capabilities/mod/assign:showhiddengrader|mod/assign:showhiddengrader]]
  
===Scrollen in den Bewertungen und Design-Probleme===
+
'''Forum'''
Designs mit nicht-fixen Headers müssen eine .navbar Klasse in ihrer Navigationsleiste haben, damit die scrollbare Anzeige in den Bewertungen funktioniert. Siehe MDL-46658 für mehr Informationen.
+
* [[Capabilities/mod/forum:canoverridecutoff|mod/forum:canoverridecutoff]]
 +
* [[Capabilities/mod/forum:cantogglefavourite|mod/forum:cantogglefavourite]]
 +
* [[Capabilities/mod/forum:postprivatereply|mod/forum:postprivatereply]]
 +
* [[Capabilities/mod/forum:readprivatereplies|mod/forum:readprivatereplies]]
  
===Nur für Gruppenmitglieder===
+
'''Analytics'''
Die [[Experimentelle Einstellungen|experimentelle Einstellung]] ''Gruppierungen aktivieren'' wurde gelöscht. Diese Funktionalität wird jetzt durch die [[Voraussetzungen]] bereitgestellt. Alle Aktivitäten, die bisher nur für bestimmte Gruppierungen oder Gruppen verfügbar waren, erhalten bei der Aktualisierung von Moodle eine entsprechende Gruppen-Voraussetzung:
+
* [[Capabilities/moodle/analytics:listowninsights|moodle/analytics:listowninsights]]
* Wenn bisher keine Gruppierung gewählt war, lautet die neue Gruppen-Voraussetzung ''(Jede Gruppe)''.
 
* Wenn bisher eine bestimmte Gruppierung ausgewählt war, wird eine neue Gruppierung-Voraussetzung mit der entsprechenden Gruppierung angelegt.
 
 
 
===DragMath gelöscht===
 
DragMath wird nicht mehr zusammen mit Moodle verbreitet. Es kann als Zusatz-Plugin installiert werden.
 
  
===MySQL dmlwriteexceptionerror bei der Kurswiederherstellung===
+
'''Kurse'''
Bei der Wiederherstellung von Kursen kann folgende MySQL Fehlermeldung auftreten:
+
* [[Capabilities/moodle/course:changelockedcustomfields|moodle/course:changelockedcustomfields]]
    Row size too large (>8126). Changing some columns to TEXT or BLOB or using ROW_FORMAT=DYNAMIC or ROW_FORMAT=COMPRESSED may help.
+
* [[Capabilities/moodle/course:configurecustomfields|moodle/course:configurecustomfields]]
 +
* [[Capabilities/moodle/category:viewcourselist|moodle/category:viewcourselist]]
  
Betroffen sind alle Moodle-Versionen. Grund ist, dass das MySQL Standard-InnoDB-Dateiformat (Antelope) nicht mehr als 10 Text-Spalten verarbeiten kann. Wir empfehlen dringend, das InnoDB-Dateiformat auf Barracuda umzustellen.
+
'''Datenschutz'''
 +
* [[Capabilities/tool/dataprivacy:makedatadeletionrequestsforchildren|tool/dataprivacy:makedatadeletionrequestsforchildren]]
 +
* [[Capabilities/tool/dataprivacy:requestdelete|tool/dataprivacy:requestdelete]]
 +
* [[Capabilities/tool/dataprivacy:requestdeleteforotheruser|tool/dataprivacy:requestdeleteforotheruser]]
  
Ab Moodle 2.6 gibt es ein spezielles Skript, das bei der Konvertierung hilft:
+
===Moodle 3.2, 3.3, 3.4, 3.5 und 3.6 Verbesserungen===
    php /moodle/admin/cli/mysql_compressed_rows.php
+
Je nachdem, von welcher Moodle-Version aus Sie aktualisieren, empfehlen wir die entsprechenden Abschnitt "Mögliche Probleme in Moodle x.y" in der jeweiligen Dokumentation zu lesen:
 
+
* [https://docs.moodle.org/32/de/Aktualisierung_von_Moodle Auf Moodle 3.2 aktualisieren]
Weitere Informationen über MySQL-InnoDB-Dateiformate finden Sie hier:
+
* [https://docs.moodle.org/33/de/Aktualisierung_von_Moodle Auf Moodle 3.3 aktualisieren]
* http://dev.mysql.com/doc/innodb/1.1/en/glossary.html#glos_antelope
+
* [https://docs.moodle.org/34/de/Aktualisierung_von_Moodle Auf Moodle 3.4 aktualisieren]
* http://dev.mysql.com/doc/innodb/1.1/en/glossary.html#glos_barracuda
+
* [https://docs.moodle.org/35/de/Aktualisierung_von_Moodle Auf Moodle 3.5 aktualisieren]
 
+
* [https://docs.moodle.org/36/de/Aktualisierung_von_Moodle Auf Moodle 3.6 aktualisieren]
===Moodle 2.3, 2.4, 2.5, 2.6 und 2.7 Verbesserungen===
 
Je nachdem, von welcher Moodle-Version aus Sie auf Moodle 2.8 aktualisieren, empfehlen wir die entsprechenden Abschnitt "Mögliche Probleme in Moodle 2.x" in der jeweiligen Dokumentation zu lesen:
 
* [https://docs.moodle.org/23/de/Aktualisierung_von_Moodle#Mögliche_Probleme_in_Moodle_2.3 Auf Moodle 2.3 aktualisieren]
 
* [https://docs.moodle.org/24/de/Aktualisierung_von_Moodle#Mögliche_Probleme_in_Moodle_2.4 Auf Moodle 2.4 aktualisieren]
 
* [https://docs.moodle.org/25/de/Aktualisierung_von_Moodle#Mögliche_Probleme_in_Moodle_2.5 Auf Moodle 2.5 aktualisieren]
 
* [https://docs.moodle.org/26/de/Aktualisierung_von_Moodle#Mögliche_Probleme_in_Moodle_2.6 Auf Moodle 2.6 aktualisieren]
 
* [https://docs.moodle.org/27/de/Aktualisierung_von_Moodle#Mögliche_Probleme_in_Moodle_2.7 Auf Moodle 2.7 aktualisieren]
 
  
 
==Siehe auch==
 
==Siehe auch==
 
* [[Installation]]
 
* [[Installation]]
 
* [http://moodle.org/mod/forum/view.php?id=28 Forum zur Installation] im Kurs ''Using Moodle'' auf moodle.org
 
* [http://moodle.org/mod/forum/view.php?id=28 Forum zur Installation] im Kurs ''Using Moodle'' auf moodle.org
* [http://docs.moodle.org/dev/Moodle_2.8_release_notes Moodle 2.8 Release Notes] (englisch)
+
* [http://docs.moodle.org/dev/Moodle_3.7_release_notes Moodle 3.7 Release Notes] (englisch)
* [http://docs.moodle.org/dev/Upgrade_API Upgrade API] (englisch)
 
 
 
  
 
[[Category:Website-Administration]]
 
[[Category:Website-Administration]]
  
 
[[en:Upgrading]]
 
[[en:Upgrading]]

Aktuelle Version vom 24. Januar 2020, 14:40 Uhr


Dieser Artikel beschreibt, wie Sie Moodle aktualisieren. Eine Übersicht über die einzelnen Schritte finden Sie unter Aktualisierung in Kürze.

Voraussetzungen prüfen

Prüfen Sie die Systemanforderungen für die aktuellste Moodle-Version 3.6 unter Block Einstellungen > Website-Administration > Server > Serverinformationen. In den Release Notes in der Entwicklerdokumentation (englisch) steht, welche Voraussetzungen der Server und der Client erfüllen muss.

Hinweise:

  • Beachten Sie, dass Sie nur von Moodle 3.1 oder neueren Versionen auf die aktuelleste Moodle-Version 3.6 aktualisieren können. Wenn Ihr Moodle älter ist, dann müssen Sie erst auf Moodle 3.1 aktualisieren.

Bevor Sie Ihr Produktivsystem aktualisieren

Wir empfehlen Ihnen dringend, die Aktualisierung auf einer Kopie Ihres Produktivsystems zu testen, um sicherzustellen, dass alles wie gewünscht funktioniert.

Nutzen Sie bei Bedarf einen Aktualisierungsschlüssel für Ihre Moodle-Site.

Wichtige Daten sichern

Detaillierte Informationen dazu finden Sie im Artikel Sicherungen.

Im wesentlichen müssen Sie drei Bereiche sichern:

  1. Moodle Software (PHP-Skripte von Moodle)
  2. Moodle-Datenverzeichnis
  3. Moodle-Datenbank

Erfahrene Administrator/innen wissen, dass es bei größeren Aktualisierungen immer wichtig ist, diese Daten zu sichern. Generell ist es eine gute Idee, diese Daten täglich automatisch zu sichern. Wenn Sie eine Standardinstallation von Moodle betreiben (ohne zusätzliche Plugins, ohne eigene Codeanpassungen), dann läuft die Aktualisierung normalerweise reibungslos durch.

Tipp: Prüfen Sie auch, ob Sie Ihre Sicherungen wiederherstellen können, sonst nützen sie nichts!

Prüfen Sie, ob es Aktualisierungen für Ihre Plugins gibt

Wenn Sie die Automatische Aktualisierung aktiviert haben, dann können Sie die installierten Plugins automatisch während der Aktualisierung von Moodle aktualisieren. Prüfen Sie auf der Seite Einstellungen > Website-Administration > Plugins > Übersicht, ob Aktualisierungen vorhanden sind.

Wenn Sie Plugins manuell aktualisieren, dann ist es ein guter Zeitpunkt zu prüfen, ob es eine aktuelle Version 3.0 für die Plugins gibt, die Sie früher auf Ihrer Moodle-Site installiert haben. Wenn das der Fall ist, laden Sie diese neue(n) Plugin-Version(en) herunter, kopieren Sie sie an die richtige Stelle im Moodle-Code-Verzeichnis (siehe Plugins installieren).

Die Aktualisierung des Plugins erfolgt dann im Verlauf der Aktualisierung von Moodle.

Wenn ein veraltetes Plugin den Abbruch der Aktualisierung verursacht, dann löschen Sie den entsprechenden Code direkt auf dem Moodle-Server, anstatt das Plugin in Moodle zu deinstallieren.

Wartungsmodus aktivieren

Bevor Sie mit der Aktualisierung beginnen, schalten Sie die Moodle-Site in den Wartungsmodus, um zu verhindern, dass sich Nutzer/innen anmelden.

Neue Moodle-Version installieren

Laden Sie sich das aktuelle Moodle Paket 3.0 von[1] herunter oder verwenden Sie den Befehl

   wget http://sourceforge.net/projects/moodle/files/Moodle/stable30/moodle-latest-30.tgz

Standardpaket verwenden

  • Benennen Sie das alte Moodle-Verzeichnis um (z.B. /moodle -> /moodleold).
  • Entpacken Sie den neuen Code und kopieren Sie ihn in das Verzeichnis, in dem die alten Moodle-Skripte vorher lagen (z.B. /moodle).
  • Kopieren Sie Ihre alte Moodle-Konfigurationsdatei config.php zurück ins Moodle-Verzeichnis (z.B. /moodle).
  • Wenn Sie zusätzliche Plugins installiert hatten, laden Sie die entsprechenden neuen Versionen herunter und entpacken Sie diese in den passenden Verzeichnissen (siehe Plugins installieren). Stellen Sie sicher, dass die Versionen der Plugins zur neuen Moodle-Version passen.
  • Kopieren Sie Ihr Moodle-Datenverzeichnis.

Unter Linux würden diese Schritte so aussehen:

Moodle-Verzeichnis umbenennen und neuen Code entpacken:

   mv moodle moodle.backup
   tar xvzf moodle-3.0.tgz

Alte Moodle-Konfigurationsdatei kopieren und zusätzliche Plugins kopieren:

   cp moodle.backup/config.php moodle
   cp -pr moodle.backup/theme/mytheme moodle/theme/mytheme
   cp -pr moodle.backup/mod/mymod moodle/mod/mymod

Die Moodle-Konfigurationsdatei für den Webserver lesbar machen. Idealerweise sollten diese Dateien für den Webserver nicht schreibbar sein:

   chown -R www-data:www-data moodle (Linux debian - ändern Sie bei Bedarf den Webserver-Nutzer entsprechend Ihrer Linux-Distribution)
   chmod -R 755 moodle 

Wenn Sie Cron verwenden, stellen Sie sicher, dass das Cron-Skript ausführbar ist und der richtige PHP-Befehl verwendet wird:

   chmod 740 admin/cli/cron.php (einige Linux-Distributionen benötigen chmod 750 oder chmod 755)

Den richtigen PHP-Befehl finden Sie in der 1. Zeile des Cron-Skripts, etwa:

   /usr/local/bin/php oder /usr/local/bin/php5.3

Git verwenden

Sie können auch das Git verwenden, um Moodle zu aktualisieren.

Aktualisierung von Kommandozeile

Sie können Moodle auch von der Kommandozeile aktualisieren. Diese Variante funktioniert insbesondere für große Moodle-Installationen zuverlässiger als die Aktualisierung über den Webbrowser.

Aktualisierung abschließen

Jetzt müssen Sie noch den eignetlichen Aktualisierungsprozess in Moodle anstoßen. Gehen Sie dazu auf die Seite Einstellungen > Website-Administration > Mitteilungen.

Moodle erkennt automatisch, dass eine neuere Version auf den Server hochgeladen wurde und startet die Aktualisierung der Moodle-Datenbank und des Moodle-Datenverzeichnisses. Wenn irgendetwas nicht automatisch aktualisiert werden kann, sehen Sie entsprechende Hinweise und Anleitungen, was Sie tun sollen.

Wenn alles erfolgreich und ohne Fehlermeldungen durchläuft, dann können Sie mit Ihrer neuen Moodle-Version sofort loslegen!

Hinweis: Wenn Sie mit mehreren Servern arbeiten, dann sollten Sie nach der Aktualisierung auf allen Servern den Cache löschen: Klicken Sie dazu im Block Einstellungen > Website-Administration > Entwicklung > Cache löschen.

Fatal error: Maximum execution time of 30 seconds exceeded...

Wenn Sie neben dem englischen Sprachpaket weitere Sprachpakete verwenden, dann kann dieser Fehler auftreten, weil die Aktualisierung des Sprachpakets zu lange dauert. In diesem Fall erhöhen Sie inder PHP-Konfigurationsdatei php.ini den Wert
max_execution_time = 160
. Dann haben die Moodle-Skripte genügend Zeit, die Sprachpakete zu aktualisieren.

Alternativ können Sie Ihre Moodle-Site vor der Aktualisierung auf englisch umstellen und danach wieder auf die gewünschte Sprache zurückstellen. Siehe dieser Diskussionsbeitrag auf moodle.org: https://moodle.org/mod/forum/discuss.php?d=119598.

Nach der Aktualisierung

Die Moodle-Konfigurationsdatei config.php sollte gut funktionieren. Wenn Sie sich jedoch die mitgelieferte Konfigurationsdatei config-dist.php ansehen, dann finden Sie dort weitere/andere Optionen (z.B. Datenbanktreiber und -einstellungen). Es ist eine gute Idee, die neuen Werte aus der config-dist.php in Ihre config.php zu übernehmen.

Cron

Das Cron-Skript wurde vollständig überarbeitet (siehe MDL-25499) und unterstützt jetzt sowohl Geplante Vorgänge als auch Adhoc-Vorgänge.

Die Vorteile dieser Änderungen sind:

  • Der Zeitplan für jeden Vorgang kann von der Moodle-Administration konfiguriert werden.
  • Vorgänge können parallel laufen.
  • Die Cron-Prozesse sperren sich gegenseitig, so dass verhindert wird, das ein und derselbe Vorgang von mehreren Cron-Prozessen gleichzeitig bearbeitet wird.
  • Cluster mit mehreren identischen Anwendungsknoten werden unterstützt, so dass der Cron-Job auf allen laufen kann.

Damit kann der Cron-Job viel häufiger laufen, so dass z.B. Forumsbeiträge schneller per E-Mail verschickt werden können. Es wird dringend empfohlen, dass die Moodle-Administration den Cron-Job mindestens 1x pro Minute laufen lässt.

Evtl. müssen Sie auch alle selbstgeschriebenen Skripte anpassen, die die Ausgabe des Cron-Skripts verarbeiten. Es ist nicht mehr möglich, mit solchen Skripten einfach die Cron-Ausgabe
Cron script completed correctly
auszuwerten. Stattdessen können Sie die Fehlerausgaben
task failed
auswerten. Ein paar Tipps dazu finden Sie hier.

In früheren Moodle-Versionen konnte es passieren, dass ein Fehler in einem Vorgang zum Abbruch des gesamten Cron-Jobs führte. Jetzt passiert das nicht mehr. Prüfen Sie also die Ausgaben des Cron-Skripts nach der Aktualisierung sorgfältig.

Mögliche Probleme in Moodle 3.7

Designs, die Bootstrap 2 verwenden, wurden entfernt

Designs, die Bootstrap 2 verwenden (Clean, More und Bootstrapbase), wurden aus dem Standardpaket von Moodle entfernt. Stattdessen wurde ein neues Design (Classic), das auf Bootstrap 4 basiert und ein dreispaltiges Layout sowie eine Navigationsstruktur ähnlich wie Clean hat, eingeführt. Der Artikel zum Thema Designs enthhalten Anleitungen, wie man eigene Designs erstellt oder aktualisiert, so dass sie auf den derzeit unterstützten Designs (Boost und Classic) basieren.

Teilen von Kursen auf Moodle.net wurde deaktiviert

Die neue Einstellung zum Teilen von Kursen Moodle.net auf der Seite Website-Administration > Zusatzoptionen ist standardmäßif deaktiviert, so dass neue Nutzer/innen nicht verwirrt werden durch die Option Teilen unter Kurs-Administration.

Siehe auch die Liste der Einträge zur Aktualisierung und der Einträge zu Änderungen.

Neue Fähigkeiten in Moodle 3.7

Aufgabe

Forum

Analytics

Kurse

Datenschutz

Moodle 3.2, 3.3, 3.4, 3.5 und 3.6 Verbesserungen

Je nachdem, von welcher Moodle-Version aus Sie aktualisieren, empfehlen wir die entsprechenden Abschnitt "Mögliche Probleme in Moodle x.y" in der jeweiligen Dokumentation zu lesen:

Siehe auch